using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.BI
{
    [Description("待办汇总表")]
    public class T_BI_NOTIFICATION_TASK : MesEntityBase
    {
        [Description("部门级组织ID")]
        public Guid? DEPT_DEPARTMENT_ID { get; set; }
        [Description("车间级组织ID")]
        public Guid? SHOP_DEPARTMENT_ID { get; set; }
        [Description("班组级组织ID")]
        public Guid? CLASS_DEPARTMENT_ID { get; set; }
        [Description("待办人所属组织ID")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("模块名称")]
        public string MOUDLE_NAME { get; set; }

        [Description("表单表号")]
        public string SOURCE_FORMCODE { get; set; }

        [Description("表单ID")]
        public Guid? SOURCE_DATA_ID { get; set; }

        [Description("状态")]
        [EnumName("FMNoticeStatusEnum")]
        public int NOTICE_STATUS { get; set; }

        [Description("创建人ID")]
        public Guid? CREATE_USER_ID { get; set; }

        [Description("创建时间")]
        public DateTime? CREATE_DATE { get; set; }
        [Description("任务名称")]
        public string NOTICE_TITLE { get; set; }
    }
}
